Page MenuHomePhabricator

Migrate group0 to Kubernetes
Closed, ResolvedPublic

Description

wikimigratedmigration date
testwikidatawiki✅2022-12-13
mediawikiwiki✅2023-06-29
officewiki✅2023-06-29
closed wikis✅2023-06-26
testwikiExcluded (temporarily on k8s for T337489: Run QTE test suite on testwiki on kubernetes)

We are excluding testwiki as long as bare-metal is the main production serving infrastructure.

I propose starting with mediawikiwiki as decided in T290536: Serve production traffic via Kubernetes then all closed wikis, and finally officewiki.

Event Timeline

Clement_Goubert created this task.
Clement_Goubert updated the task description. (Show Details)

Change 923384 had a related patch set uploaded (by Clément Goubert; author: Clément Goubert):

[operations/puppet@production] testwikidatawiki: Fix missing mobile redir to k8s

https://gerrit.wikimedia.org/r/923384

Change 923385 had a related patch set uploaded (by Clément Goubert; author: Clément Goubert):

[operations/puppet@production] mw-on-k8s: Redirect www.mediawiki.org to mw-on-k8s

https://gerrit.wikimedia.org/r/923385

Change 923386 had a related patch set uploaded (by Clément Goubert; author: Clément Goubert):

[operations/puppet@production] mw-on-k8s: Redirect closed wikis to mw-on-k8s

https://gerrit.wikimedia.org/r/923386

Change 923384 abandoned by Clément Goubert:

[operations/puppet@production] testwikidatawiki: Fix missing mobile redir to k8s

Reason:

Superseded by I1b1bb0f284079b8e393126bda4af5e78285bbb14

https://gerrit.wikimedia.org/r/923384

Change 924490 had a related patch set uploaded (by Clément Goubert; author: Clément Goubert):

[operations/puppet@production] trafficserver: Move mw-on-k8s config to hiera

https://gerrit.wikimedia.org/r/924490

Change 924494 had a related patch set uploaded (by Clément Goubert; author: Clément Goubert):

[operations/puppet@production] trafficserver::lua_script: Allow templated config

https://gerrit.wikimedia.org/r/924494

Change 924494 abandoned by Clément Goubert:

[operations/puppet@production] trafficserver::lua_script: Allow templated config

Reason:

Not worth the added complexity

https://gerrit.wikimedia.org/r/924494

Change 924490 abandoned by Clément Goubert:

[operations/puppet@production] trafficserver: Move mw-on-k8s config to hiera

Reason:

Follows abandon of 924494

https://gerrit.wikimedia.org/r/924490

Clement_Goubert changed the task status from Stalled to In Progress.Jun 19 2023, 11:48 AM

Mentioned in SAL (#wikimedia-operations) [2023-06-26T10:01:11Z] <claime> mw-on-k8s: Redirect closed wikis to mw-on-k8s - T337490

Change 923386 merged by Clément Goubert:

[operations/puppet@production] mw-on-k8s: Redirect closed wikis to mw-on-k8s

https://gerrit.wikimedia.org/r/923386

Mentioned in SAL (#wikimedia-operations) [2023-06-26T10:19:17Z] <claime> mw-on-k8s: Redirect www.mediawiki.org to mw-on-k8s - T337490

Change 923385 merged by Clément Goubert:

[operations/puppet@production] mw-on-k8s: Redirect www.mediawiki.org to mw-on-k8s

https://gerrit.wikimedia.org/r/923385

Change 932857 had a related patch set uploaded (by Clément Goubert; author: Clément Goubert):

[operations/puppet@production] mw-on-k8s: Redirect officewiki to mw-on-k8s

https://gerrit.wikimedia.org/r/932857

Change 923385 merged by Clément Goubert:

[operations/puppet@production] mw-on-k8s: Redirect www.mediawiki.org to mw-on-k8s

https://gerrit.wikimedia.org/r/923385

Caused T340483: ExtensionDistributor is broken on k8s. May not want to try again until the underlying issues are actually fixed :)

Change 933467 had a related patch set uploaded (by Clément Goubert; author: Clément Goubert):

[operations/puppet@production] mw-on-k8s: Redirect office.wikimedia.org to mw-on-k8s

https://gerrit.wikimedia.org/r/933467

Change 933469 had a related patch set uploaded (by Clément Goubert; author: Clément Goubert):

[operations/puppet@production] mw-on-k8s: Redirect www.mediawiki.org to mw-on-k8s

https://gerrit.wikimedia.org/r/933469

Mentioned in SAL (#wikimedia-operations) [2023-06-29T10:02:14Z] <claime> Redirect www.mediawiki.org to mw-on-k8s - T337490

Change 933469 merged by Clément Goubert:

[operations/puppet@production] mw-on-k8s: Redirect www.mediawiki.org to mw-on-k8s

https://gerrit.wikimedia.org/r/933469

Mentioned in SAL (#wikimedia-operations) [2023-06-29T10:03:31Z] <claime> Running puppet on cp-text trafficservers - T337490

Mentioned in SAL (#wikimedia-operations) [2023-06-29T10:09:45Z] <claime> www.mediawiki.org now hosted on mw-on-k8s - T337490

Mentioned in SAL (#wikimedia-operations) [2023-06-29T10:17:58Z] <claime> Redirect office.wikimedia.org to mw-on-k8s - T337490

Change 933467 merged by Clément Goubert:

[operations/puppet@production] mw-on-k8s: Redirect office.wikimedia.org to mw-on-k8s

https://gerrit.wikimedia.org/r/933467

Mentioned in SAL (#wikimedia-operations) [2023-06-29T10:18:52Z] <claime> Running puppet on cp-text trafficservers - T337490

Mentioned in SAL (#wikimedia-operations) [2023-06-29T10:25:50Z] <claime> office.wikimedia.org now hosted on mw-on-k8s - T337490

Change 932857 abandoned by JMeybohm:

[operations/puppet@production] mw-on-k8s: Redirect officewiki to mw-on-k8s

Reason:

This was done in Ic3a42c7994273c26bc1de9e4baa1e01d2d32f473

https://gerrit.wikimedia.org/r/932857